%define _prefix	/usr
%define name	chickennix
%define oversion 0.1

Name:		chickennix
# add a tailing zero to the version to make apt happy and not thread
# the package as virtual package with no good providers
Version:	0.10
Release:	%mkrel 1
Summary:	Chickennix is a classic 'Shoot them up' game
URL:		http://chickennix.sourceforge.net/
Group:		Games/Arcade
License:	GPL
Source:		%{name}-%{oversion}_src.tar.xz
BuildRequires:	pkgconfig
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
Chickennix is a classic 'Shoot them up' game.
It is written in C and SDL also using gettext. The plot of
this game is to shoot everything appearing on the screen
down and climp up the highscore.

Note: If you set up a free game you must not use the num pad
because it is not recognized by the game.

%prep
%setup -q -n %{name}-%{oversion}

%build

%install
install -dm 755 %{buildroot}%{_bindir}
install -dm 755 %{buildroot}%{_datadir}/games
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -dm 755 %{buildroot}%{_datadir}/applications

install -dm 755 %{buildroot}%{_mandir}/man1
install -m 644 docs/chickennix.1 %{buildroot}%{_mandir}/man1

%makeinstall PREFIX=%{buildroot}%{_prefix}

rm %{buildroot}%{_datadir}/games/chickennix/Makefile
rm %{buildroot}/usr/games

desktop-file-install --vendor="" \
  --add-category="ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --remove-key=Version \
  --set-icon=%{name} \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*



%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc docs/AUTHORS docs/LICENSE docs/VERSION README
%{_bindir}/*
%dir %{_datadir}/games/chickennix
%{_datadir}/games/chickennix/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Sun May 31 2020 ghostbunny <ghostbunny at gmx dot de> 0.10-1pclos2020
- 0.1

* Sat Oct 15 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.09-3pclos2011
- Rebuild for x86_64

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.09-2pclos2009
- fix synaptic group

* Fri Aug 22 2008 slick50 <slick50@linuxgator.org> 0.09-1pclos2007
- 0.09

* Wed Apr 09 2008 P. K. Frederic <pkfric@yahoo.com> 0.07.2-1pclos2007
- first RPM for PCLinuxOS
- original spec file Toni Graffy <toni@links2linux.de>
